package com.magick.trade_service.model.parameter;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

import org.codehaus.jackson.annotate.JsonProperty;

/**
 * 
 * @author nik
 * 
 * 
 *         POJO class for representing parameters for orderSelect method in
 *         OrderService interface
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlRootElement(name = "orderSelectParams")
public class OrderSelectParams {
	@JsonProperty
	@XmlElement(name = "index")
	private Integer index;
	@JsonProperty
	@XmlElement(name = "select")
	private Integer select;
	@JsonProperty
	@XmlElement(name = "pool")
	private Integer pool;
	
	public OrderSelectParams() {

	}

	public OrderSelectParams(Integer index, Integer select, Integer pool) {
		this.index = index;
		this.select = select;
		this.pool = pool;
	}

	public Integer getIndex() {
		return index;
	}

	public void setIndex(Integer index) {
		this.index = index;
	}

	public Integer getSelect() {
		return select;
	}

	public void setSelect(Integer select) {
		this.select = select;
	}

	public Integer getPool() {
		return pool;
	}

	public void setPool(Integer pool) {
		this.pool = pool;
	}

}
