package com.magick.trade_service.model.parameter;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

import org.codehaus.jackson.annotate.JsonProperty;

/**
 * 
 * @author nik
 * 
 *         POJO class for representing parameters for orderCloseBy method in
 *         OrderService interface
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlRootElement(name = "orderCloseByParams")
public class OrderCloseByParams {
	@JsonProperty
	@XmlElement(name = "ticket")
	private Integer ticket;
	@JsonProperty
	@XmlElement(name = "opposite")
	private Integer opposite;
	@JsonProperty
	@XmlElement(name = "color")
	private String color;
	
	public OrderCloseByParams() {
	}

	public OrderCloseByParams(Integer ticket, Integer opposite, String color) {
		super();
		this.ticket = ticket;
		this.opposite = opposite;
		this.color = color;
	}

	public Integer getTicket() {
		return ticket;
	}

	public void setTicket(Integer ticket) {
		this.ticket = ticket;
	}

	public Integer getOpposite() {
		return opposite;
	}

	public void setOpposite(Integer opposite) {
		this.opposite = opposite;
	}

	public String getColor() {
		return color;
	}

	public void setColor(String color) {
		this.color = color;
	}

}
