package com.magick.trade_service.model.parameter;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

import org.codehaus.jackson.annotate.JsonProperty;

/**
 * 
 * @author nik
 * 
 *         POJO class for representing parameters for orderDelete method in
 *         OrderService interface
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlRootElement(name = "orderDeleteParams")
public class OrderDeleteParams {
	@JsonProperty
	@XmlElement(name = "ticket")
	private Integer ticket;
	@JsonProperty
	@XmlElement(name = "color")
	private String color;
	
	public OrderDeleteParams() {
	}

	public OrderDeleteParams(Integer ticket, String color) {
		super();
		this.ticket = ticket;
		this.color = color;
	}

	public Integer getTicket() {
		return ticket;
	}

	public void setTicket(Integer ticket) {
		this.ticket = ticket;
	}

	public String getColor() {
		return color;
	}

	public void setColor(String color) {
		this.color = color;
	}

}
