package com.magick.trade_service.service;

import com.magick.models.TradeOrder;
import com.magick.trade_service.model.parameter.OrderCloseByParams;
import com.magick.trade_service.model.parameter.OrderCloseParams;
import com.magick.trade_service.model.parameter.OrderDeleteParams;
import com.magick.trade_service.model.parameter.OrderModifyParams;
import com.magick.trade_service.model.parameter.OrderSelectParams;
import com.magick.trade_service.model.parameter.OrderSendParams;

/**
 * 
 * @author nik
 * 
 *         Interface that represents the trading functions for trading
 *         management
 */
public interface OrderService {

	void orderClose(OrderCloseParams params);

	void orderCloseBy(OrderCloseByParams params);

	void orderDelete(OrderDeleteParams params);

	void orderModify(OrderModifyParams params);

	void orderSelect(OrderSelectParams params);

	TradeOrder orderSend(OrderSendParams params);

	/*Double getOrderClosePrice();

	Date getOrderCloseTime();

	String getOrderComment();

	Double getOrderCommission();

	Date getOrderExpiration();

	Double getOrderLots();

	Integer getOrderMagicNumber();

	Double getOrderOpenPrice();

	Date getOrderOpenTime();

	void orderPrint();

	Double getOrderProfit();

	Integer getOrdersHistoryTotal();

	Double getOrderStopLoss();

	Integer getOrdersTotal();

	Double getOrderSwap();

	String getOrderSymbol();

	Double getOrderTakeProfit();

	Integer getOrderTicket();

	Integer getOrderType();*/

}
